# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "memf-correlate"
version = "0.2.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Forensic event correlation model for the memf forensics framework"
readme = false
license = "Apache-2.0"

[lib]
name = "memf_correlate"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.forensicnomicon]
version = "0.11"
features = [
    "std",
    "serde",
]

[dependencies.serde]
version = "1"
features = [
    "derive",
    "derive",
]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[lints.clippy.cast_possible_truncation]
level = "allow"
priority = 1

[lints.clippy.cast_possible_wrap]
level = "allow"
priority = 1

[lints.clippy.cast_precision_loss]
level = "allow"
priority = 1

[lints.clippy.cast_sign_loss]
level = "allow"
priority = 1

[lints.clippy.correctness]
level = "deny"
priority = -1

[lints.clippy.doc_markdown]
level = "allow"
priority = 1

[lints.clippy.expect_used]
level = "deny"
priority = 0

[lints.clippy.missing_errors_doc]
level = "allow"
priority = 1

[lints.clippy.missing_panics_doc]
level = "allow"
priority = 1

[lints.clippy.module_name_repetitions]
level = "allow"
priority = 1

[lints.clippy.must_use_candidate]
level = "allow"
priority = 1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.clippy.return_self_not_must_use]
level = "allow"
priority = 1

[lints.clippy.similar_names]
level = "allow"
priority = 1

[lints.clippy.suspicious]
level = "deny"
priority = -1

[lints.clippy.type_complexity]
level = "allow"
priority = 1

[lints.clippy.unnecessary_literal_bound]
level = "allow"
priority = 1

[lints.clippy.unreadable_literal]
level = "allow"
priority = 1

[lints.clippy.unwrap_used]
level = "deny"
priority = 0

[lints.rust]
unsafe_code = "deny"
